View Issue Details

IDProjectCategoryView StatusLast Update
0001809Ham Radio DeluxeBugpublic2017-05-22 23:38
Reporteruser47 
Assigned ToW4PC 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.603 
Summary0001809: Rtty Cabrillo contest export
DescriptionCabrillo export - has some issues, see user notes and attachment
Attachment has 3 embedded files
Additional InformationI have attached three files re: file conversion of an RTTY log I created into a Cabrillo format.
I have sent

1. A jpeg of my sample CQ WW RTTY log as seen in HRD log itself

2. A sample of the above log converted to a Cabrillo file which contain errors

3. A corrected Cabrillo file as it should look.

When I participated in the CQ WW RTTY contest last month, I had over 675 contacts…..when I exported the log over to Cabrillo format, instead of my call was name Frank, RT instead of RY, and no sent or received exchanges of CQ zones

I have since found a work around for my call to be inserted instead of my name it is not an issue…and how I did this can be sent for another time.

However, in every RTTY contest site I have visited where they show a sample of the Cabrillo file format they need, ALL of them show RY and not RT. This makes sense because in the days of the RTTY machines (whose use was ending when I began my career) RYRYRYRYRY was always sent before the message.

Second, any exchange I place in the box after the 599 in DM780, both sent and received, do not carry over into the Cabrillo format….this includes any CQ zones, consecutive serial numbers (with [ ] which I know to use)

Interestingly enough, when I convert the log file to an XML file, it copies everything to an Excel spread sheet (as it should)….and way across into double lettered fields are the exchanges which led me to send off this e-mail and attachment and conclude that the Cabrillo file conversion software program just needs to be fine-tuned to display the sent and received exchanges.

Based in my website worldwide responses or views from each country where I posted how to create one’s own 100% custom macros for the digital modes ( http://ng1i.com ) and from my daily digital on air activities in these modes, I know that there are many, many HRD users out there, some with free version but others with paid subscription versions.
In conclusion, using just HRD software for such contests is so much easier to use than fldigi, or software “packages” where one needs two pieces of software and a bridging piece to tie both HRD and N1FJD software together…a long and confusing process to set up.

HRD makes working a digital contest so much more pleasurable and easy and for that reason, I have spent the time ‘beta’ testing my work around and finally arriving at my conclusions after two straight days of buckling down and taking descriptive notes (I was a Chief Inspector in the Police Services before I retired so ‘getting down to it’ was not a problem for me.

Very sorry for this long winded message…..all the best and many, many thanks,

Frank MacKenzie-Lamb
NG1I
Never Give One Inch
Cherry Valley, MA
TagsNo tags attached.
ModuleLogbook
Sub-ModuleContest
Testing

Relationships

Activities

user47

2015-10-27 09:28

 

ng1i.docx (133,107 bytes)

ERIK

2015-12-11 17:39

developer   ~0000692

Last edited: 2015-12-11 17:42

View 3 revisions

I need to know if this is a template or user defined Cabrillo entry. The template "Other" matches all except the CQ Zone on the end. Below are the standard templates.

// Sweepstakes
// --------info sent------- -------info rcvd--------
//QSO: freq mo date time call nr p ck sec call nr p ck sec
//QSO: ***** ** yyyy-mm-dd nnnn ********** nnnn a nn aaa ********** nnnn a nn aaa
//QSO: 21042 CW 1997-11-01 2102 N5KO 3 B 74 STX K9ZO 2 A 69 IL

// nnnn: serial number
// prec: precedence (A, B, M, Q, S or U)
// ck: two digit check (license year)
// sec: ARRL Section abbreviation

//VHF
// --------info sent------- -------info rcvd--------
//QSO: freq mo date time call grid call grid
//QSO: ***** ** yyyy-mm-dd nnnn ************* ****** ************* ******
//QSO: 50 PH 1997-09-13 1804 NJ2L FN12fr KB2DMK FN12


// Other
// --------info sent------- -------info rcvd--------
//QSO: freq mo date time call rst exch call rst exch t
//QSO: ***** ** yyyy-mm-dd nnnn ************* nnn ****** ************* nnn ****** n
//QSO: 3799 PH 1999-03-06 0711 HC8N 59 700 W1AW 59 CT 0

//Cabrillo QSO templates for DARC Worked All Europe
// --------info sent------- -------info rcvd--------
//QSO: freq mo date time call rst exch call rst exch
//QSO: ***** ** yyyy-mm-dd nnnn ************* nnn ****** ************* nnn ******
//QSO: 3799 PH 2003-03-23 0711 YB1AQS 59 700 DL8WPX 59 001
//

//Cabrillo QTC templates for DARC Worked All Europe
// -qtc rcvd by - --------------qtc info received-----------------
//QTC: freq mo date time call qserial qtc sent by qtim qcall qexc
//QTC: ***** ** yyyy-mm-dd nnnn ************* nnn/nn ************* nnnn ************* nnnn
//QTC: 3799 PH 2003-03-23 0711 YB1AQS 001/10 DL8WPX 0330 DL6RAI 1021

// Cabrillo QSO template for NA Sprint
// ----------info sent----------- ----------info rcvd-----------
//QSO: freq mo date time call nr ex1 ex2 call nr ex1 ex2 t
//QSO: ***** ** yyyy-mm-dd nnnn ********** nnnn aaaaaaaaaa aaa ********** nnnn aaaaaaaaaa aaa n
//QSO: 14042 CW 1999-09-05 0000 N5TJ 1 JEFF TX N6TR 1 TREE OR
// nr: Serial number
// ex1: Name
// ex2: Two letter QTH designation for W/VE, DX for non-W/VE

//Cabrillo QSO template for RSGB IOTA Contest
// -----------info sent--------- ----------info rcvd----------
//QSO: freq mo date time call rst ex1 ex2 call rst ex1 ex2 t
//QSO: ***** ** yyyy-mm-dd nnnn ************* nnn nnnn aa-nnn ************* nnn nnnn aa-nnn n
//QSO: 3799 PH 2002-07-28 0359 HC8N 59 0901 SA-004 G3XTT 59 0031 EU-005 0
//QSO: 3799 PH 2002-07-28 0359 HC8N 59 0902 SA-004 HA1AG 59 0399 ------ 0
// aa-nnn is IOTA designator, such as SA-004
// non-island stations use IOTA designator of '------'

//Cabrillo QSO template for BARTG RTTY Contest
// --------info sent------- -------info rcvd--------
//QSO: freq mo date time call rst nr time call rst nr time
//QSO: ***** ** yyyy-mm-dd nnnn ********** nnn nnnn nnnn ********** nnn nnnn nnnn
//QSO: 3580 RY 2001-03-17 0204 MI9AB 599 0001 0203 DF4OR 599 0003 0203
//QSO: 3580 RY 2001-03-17 0205 MI9AB 599 0002 0205 DM5GI 599 0002 0205

//Cabrillo QSO template for Volta IOTA Contest
// -----------info sent------ ----------info rcvd-------
//QSO: freq mo date time call rst exchg zn call rst exchg zn pts
//QSO: ***** ** yyyy-mm-dd nnnn ************* nnn nnnnn aa ************* nnn nnnnn aa ***
//QSO: 3799 PH 2002-07-28 0359 HC8N 59 0901 SA G3XTT 59 0031 EU
//QSO: 3799 PH 2002-07-28 0359 HC8N 59 0902 SA HA1AG 59 0399 --

WA9PIE

2017-05-21 22:21

administrator   ~0003168

Closed in bulk

Issue History

Date Modified Username Field Change
2015-10-27 09:28 user47 New Issue
2015-10-27 09:28 user47 File Added: ng1i.docx
2015-12-11 17:39 ERIK Note Added: 0000692
2015-12-11 17:41 ERIK Note Edited: 0000692 View Revisions
2015-12-11 17:42 ERIK Note Edited: 0000692 View Revisions
2016-08-28 14:33 W4PC Fixed in Release TBD => 6.3
2016-08-28 14:33 W4PC Fixed in Build (ie. 377) => 571
2016-08-28 14:33 W4PC Status new => resolved
2016-08-28 14:33 W4PC Resolution open => fixed
2016-08-28 14:33 W4PC Assigned To => W4PC
2017-05-21 22:07 WA9PIE Project 2 - Next Dev List (Holding Area) => Ham Radio Deluxe
2017-05-21 22:21 WA9PIE Note Added: 0003168
2017-05-21 22:21 WA9PIE Status resolved => closed
2017-05-22 23:38 WA9PIE Fixed in Version => 6.3.0.603